Skip to main content
POST
/
api
/
v1
/
automations
CreateAutomation
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Automation.CreateAutomation(ctx, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.AutomationsCreateAutomationResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.automation.createAutomation();

  console.log(result);
}

run();
curl --request POST \
  --url https://{tenantDomain}.conductor.one/api/v1/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "annotations": {},
  "appId": "<string>",
  "automationSteps": [
    {
      "accountLifecycleAction": {
        "accountInContext": {},
        "accountRef": {
          "accountIdCel": "<string>"
        },
        "actionName": "<string>",
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        }
      },
      "callFunction": {
        "args": {},
        "functionId": "<string>"
      },
      "connectorAction": {
        "actionName": "<string>",
        "argsTemplate": {},
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "resourceTypeId": "<string>"
      },
      "connectorCreateAccount": {
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "passwordCel": "<string>",
        "userIdCel": "<string>",
        "userProperties": {
          "displayNameCel": "<string>",
          "emailCel": "<string>",
          "profileAttributeCel": "<string>",
          "usernameCel": "<string>"
        }
      },
      "createAccessReview": {
        "accessReviewTemplateCel": "<string>",
        "accessReviewTemplateId": "<string>",
        "campaignName": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "createRevokeTasks": {
        "appEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "appEntitlementRefsCel": "<string>",
        "excludedAppEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "excludedAppEntitlementRefsCel": "<string>",
        "revokeAll": true,
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "createRevokeTasksV2": {
        "exclusionCriteria": {
          "excludedAppIds": [
            "<string>"
          ],
          "excludedComplianceFrameworkIds": [
            "<string>"
          ],
          "excludedResourceTypeIds": [
            "<string>"
          ],
          "excludedRiskLevelIds": [
            "<string>"
          ]
        },
        "exclusionList": {
          "excludedAppEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "exclusionListCel": {
          "excludedAppEntitlementRefsCel": "<string>"
        },
        "exclusionNone": {},
        "inclusionAccessOnly": {},
        "inclusionAll": {},
        "inclusionCriteria": {
          "appIds": [
            "<string>"
          ],
          "complianceFrameworkIds": [
            "<string>"
          ],
          "resourceTypeIds": [
            "<string>"
          ],
          "riskLevelIds": [
            "<string>"
          ]
        },
        "inclusionList": {
          "appEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "inclusionListCel": {
          "appEntitlementRefsCel": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "evaluateExpressions": {
        "expressions": [
          {
            "expressionCel": "<string>",
            "isSecret": true,
            "key": "<string>"
          }
        ]
      },
      "generatePassword": {
        "passwordPolicyId": "<string>",
        "policy": {
          "customCharacters": "<string>",
          "excludedCharacters": "<string>",
          "maxCharacterCount": 123,
          "minCharacterCount": 123,
          "noRestrictions": true,
          "requireLowercase": true,
          "requireNumbers": true,
          "requireSpecialCharacters": true,
          "requireUppercase": true
        }
      },
      "grantEntitlements": {
        "exclusionCriteria": {
          "excludedAppIds": [
            "<string>"
          ],
          "excludedComplianceFrameworkIds": [
            "<string>"
          ],
          "excludedRiskLevelIds": [
            "<string>"
          ]
        },
        "exclusionList": {
          "excludedAppEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "exclusionListCel": {
          "excludedAppEntitlementRefsCel": "<string>"
        },
        "exclusionNone": {},
        "inclusionCriteria": {
          "appIds": [
            "<string>"
          ],
          "complianceFrameworkIds": [
            "<string>"
          ],
          "riskLevelIds": [
            "<string>"
          ]
        },
        "inclusionList": {
          "appEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "inclusionListCel": {
          "appEntitlementRefsCel": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "removeFromDelegation": {
        "replacementUserIdCel": "<string>",
        "replacementUserRef": {
          "id": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "runAutomation": {
        "automationTemplateIdCel": "<string>",
        "automationTemplateRef": {
          "id": "<string>"
        },
        "context": {
          "context": {}
        }
      },
      "sendEmail": {
        "body": "<string>",
        "email": "<string>",
        "emailCel": "<string>",
        "subject": "<string>",
        "title": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "sendSlackMessage": {
        "body": "<string>",
        "channelName": "<string>",
        "channelNameCel": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "setCredential": {
        "accountIdCel": "<string>",
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "passwordCel": "<string>"
      },
      "skipIfTrueCel": "<string>",
      "stepDisplayName": "<string>",
      "stepName": "<string>",
      "storeCredential": {
        "appIdCel": "<string>",
        "credentialCel": "<string>",
        "expiry": "<string>",
        "labelCel": "<string>",
        "maxViews": 123,
        "recipientCel": "<string>",
        "recipientEmailCel": "<string>",
        "ttl": "<string>"
      },
      "taskAction": {
        "close": {
          "useSubjectUser": true,
          "userIdCel": "<string>",
          "userRef": {
            "id": "<string>"
          }
        },
        "reassign": {
          "assigneeUserIdCel": "<string>",
          "assigneeUserRef": {
            "id": "<string>"
          },
          "subjectUserIdCel": "<string>",
          "subjectUserRef": {
            "id": "<string>"
          },
          "useSubjectUser": true
        },
        "taskTypes": []
      },
      "unenrollFromAllAccessProfiles": {
        "catalogIds": [
          "<string>"
        ],
        "catalogIdsCel": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "updateUser": {
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        },
        "userStatusCel": "<string>"
      },
      "waitForDuration": {
        "duration": "<string>"
      },
      "webhook": {
        "payload": {},
        "webhookId": "<string>",
        "webhookIdCel": "<string>"
      }
    }
  ],
  "circuitBreakerMax": 123,
  "context": {
    "context": {}
  },
  "description": "<string>",
  "displayName": "<string>",
  "draftAutomationSteps": [
    {
      "accountLifecycleAction": {
        "accountInContext": {},
        "accountRef": {
          "accountIdCel": "<string>"
        },
        "actionName": "<string>",
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        }
      },
      "callFunction": {
        "args": {},
        "functionId": "<string>"
      },
      "connectorAction": {
        "actionName": "<string>",
        "argsTemplate": {},
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "resourceTypeId": "<string>"
      },
      "connectorCreateAccount": {
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "passwordCel": "<string>",
        "userIdCel": "<string>",
        "userProperties": {
          "displayNameCel": "<string>",
          "emailCel": "<string>",
          "profileAttributeCel": "<string>",
          "usernameCel": "<string>"
        }
      },
      "createAccessReview": {
        "accessReviewTemplateCel": "<string>",
        "accessReviewTemplateId": "<string>",
        "campaignName": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "createRevokeTasks": {
        "appEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "appEntitlementRefsCel": "<string>",
        "excludedAppEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "excludedAppEntitlementRefsCel": "<string>",
        "revokeAll": true,
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "createRevokeTasksV2": {
        "exclusionCriteria": {
          "excludedAppIds": [
            "<string>"
          ],
          "excludedComplianceFrameworkIds": [
            "<string>"
          ],
          "excludedResourceTypeIds": [
            "<string>"
          ],
          "excludedRiskLevelIds": [
            "<string>"
          ]
        },
        "exclusionList": {
          "excludedAppEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "exclusionListCel": {
          "excludedAppEntitlementRefsCel": "<string>"
        },
        "exclusionNone": {},
        "inclusionAccessOnly": {},
        "inclusionAll": {},
        "inclusionCriteria": {
          "appIds": [
            "<string>"
          ],
          "complianceFrameworkIds": [
            "<string>"
          ],
          "resourceTypeIds": [
            "<string>"
          ],
          "riskLevelIds": [
            "<string>"
          ]
        },
        "inclusionList": {
          "appEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "inclusionListCel": {
          "appEntitlementRefsCel": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "evaluateExpressions": {
        "expressions": [
          {
            "expressionCel": "<string>",
            "isSecret": true,
            "key": "<string>"
          }
        ]
      },
      "generatePassword": {
        "passwordPolicyId": "<string>",
        "policy": {
          "customCharacters": "<string>",
          "excludedCharacters": "<string>",
          "maxCharacterCount": 123,
          "minCharacterCount": 123,
          "noRestrictions": true,
          "requireLowercase": true,
          "requireNumbers": true,
          "requireSpecialCharacters": true,
          "requireUppercase": true
        }
      },
      "grantEntitlements": {
        "exclusionCriteria": {
          "excludedAppIds": [
            "<string>"
          ],
          "excludedComplianceFrameworkIds": [
            "<string>"
          ],
          "excludedRiskLevelIds": [
            "<string>"
          ]
        },
        "exclusionList": {
          "excludedAppEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "exclusionListCel": {
          "excludedAppEntitlementRefsCel": "<string>"
        },
        "exclusionNone": {},
        "inclusionCriteria": {
          "appIds": [
            "<string>"
          ],
          "complianceFrameworkIds": [
            "<string>"
          ],
          "riskLevelIds": [
            "<string>"
          ]
        },
        "inclusionList": {
          "appEntitlementRefs": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ]
        },
        "inclusionListCel": {
          "appEntitlementRefsCel": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "removeFromDelegation": {
        "replacementUserIdCel": "<string>",
        "replacementUserRef": {
          "id": "<string>"
        },
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        }
      },
      "runAutomation": {
        "automationTemplateIdCel": "<string>",
        "automationTemplateRef": {
          "id": "<string>"
        },
        "context": {
          "context": {}
        }
      },
      "sendEmail": {
        "body": "<string>",
        "email": "<string>",
        "emailCel": "<string>",
        "subject": "<string>",
        "title": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "sendSlackMessage": {
        "body": "<string>",
        "channelName": "<string>",
        "channelNameCel": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "setCredential": {
        "accountIdCel": "<string>",
        "connectorRef": {
          "appId": "<string>",
          "id": "<string>"
        },
        "passwordCel": "<string>"
      },
      "skipIfTrueCel": "<string>",
      "stepDisplayName": "<string>",
      "stepName": "<string>",
      "storeCredential": {
        "appIdCel": "<string>",
        "credentialCel": "<string>",
        "expiry": "<string>",
        "labelCel": "<string>",
        "maxViews": 123,
        "recipientCel": "<string>",
        "recipientEmailCel": "<string>",
        "ttl": "<string>"
      },
      "taskAction": {
        "close": {
          "useSubjectUser": true,
          "userIdCel": "<string>",
          "userRef": {
            "id": "<string>"
          }
        },
        "reassign": {
          "assigneeUserIdCel": "<string>",
          "assigneeUserRef": {
            "id": "<string>"
          },
          "subjectUserIdCel": "<string>",
          "subjectUserRef": {
            "id": "<string>"
          },
          "useSubjectUser": true
        },
        "taskTypes": []
      },
      "unenrollFromAllAccessProfiles": {
        "catalogIds": [
          "<string>"
        ],
        "catalogIdsCel": "<string>",
        "useSubjectUser": true,
        "userIdsCel": "<string>",
        "userRefs": [
          {
            "id": "<string>"
          }
        ]
      },
      "updateUser": {
        "useSubjectUser": true,
        "userIdCel": "<string>",
        "userRef": {
          "id": "<string>"
        },
        "userStatusCel": "<string>"
      },
      "waitForDuration": {
        "duration": "<string>"
      },
      "webhook": {
        "payload": {},
        "webhookId": "<string>",
        "webhookIdCel": "<string>"
      }
    }
  ],
  "draftTriggers": [
    {
      "accessConflict": {
        "allConflictMonitors": true,
        "conflictMonitorRefs": {
          "conflictMonitorRefs": [
            {
              "id": "<string>"
            }
          ]
        }
      },
      "appUserCreated": {
        "appId": "<string>",
        "appIdCel": "<string>",
        "condition": "<string>"
      },
      "appUserUpdated": {
        "appId": "<string>",
        "appIdCel": "<string>",
        "condition": "<string>"
      },
      "grantDeleted": {
        "grantTriggerFilter": {
          "accountFilter": {},
          "grantFilter": {},
          "inclusionAll": {},
          "inclusionCriteria": {
            "appIds": [
              "<string>"
            ],
            "complianceFrameworkIds": [
              "<string>"
            ],
            "resourceTypeIds": [
              "<string>"
            ],
            "riskLevelIds": [
              "<string>"
            ]
          },
          "inclusionList": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ]
          },
          "inclusionListCel": {
            "appEntitlementRefsCel": "<string>"
          }
        }
      },
      "grantFound": {
        "grantTriggerFilter": {
          "accountFilter": {},
          "grantFilter": {},
          "inclusionAll": {},
          "inclusionCriteria": {
            "appIds": [
              "<string>"
            ],
            "complianceFrameworkIds": [
              "<string>"
            ],
            "resourceTypeIds": [
              "<string>"
            ],
            "riskLevelIds": [
              "<string>"
            ]
          },
          "inclusionList": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ]
          },
          "inclusionListCel": {
            "appEntitlementRefsCel": "<string>"
          }
        }
      },
      "schedule": {
        "advanced": true,
        "condition": "<string>",
        "cronSpec": "<string>",
        "skipIfTrueCel": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "scheduleAppUser": {
        "appId": "<string>",
        "condition": "<string>",
        "cronSpec": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "scheduleNoUser": {
        "advanced": true,
        "cronSpec": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "usageBasedRevocation": {
        "appId": "<string>",
        "enabledAt": "2023-11-07T05:31:56Z",
        "excludedGroupRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "excludedUserRefs": [
          {
            "id": "<string>"
          }
        ],
        "includeUsersWithNoActivity": true,
        "runDelayed": {
          "coldStartDelayDays": 123
        },
        "runImmediately": {},
        "targetedAppUserTypes": [],
        "targetedEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "unusedForDays": 123
      },
      "userCreated": {
        "condition": "<string>"
      },
      "userProfileChange": {
        "condition": "<string>"
      },
      "webhook": {
        "capabilityUrl": {},
        "hmac": {},
        "jwt": {
          "jwksUrl": "<string>"
        },
        "listenerId": "<string>"
      }
    }
  ],
  "enabled": true,
  "isDraft": true,
  "triggers": [
    {
      "accessConflict": {
        "allConflictMonitors": true,
        "conflictMonitorRefs": {
          "conflictMonitorRefs": [
            {
              "id": "<string>"
            }
          ]
        }
      },
      "appUserCreated": {
        "appId": "<string>",
        "appIdCel": "<string>",
        "condition": "<string>"
      },
      "appUserUpdated": {
        "appId": "<string>",
        "appIdCel": "<string>",
        "condition": "<string>"
      },
      "grantDeleted": {
        "grantTriggerFilter": {
          "accountFilter": {},
          "grantFilter": {},
          "inclusionAll": {},
          "inclusionCriteria": {
            "appIds": [
              "<string>"
            ],
            "complianceFrameworkIds": [
              "<string>"
            ],
            "resourceTypeIds": [
              "<string>"
            ],
            "riskLevelIds": [
              "<string>"
            ]
          },
          "inclusionList": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ]
          },
          "inclusionListCel": {
            "appEntitlementRefsCel": "<string>"
          }
        }
      },
      "grantFound": {
        "grantTriggerFilter": {
          "accountFilter": {},
          "grantFilter": {},
          "inclusionAll": {},
          "inclusionCriteria": {
            "appIds": [
              "<string>"
            ],
            "complianceFrameworkIds": [
              "<string>"
            ],
            "resourceTypeIds": [
              "<string>"
            ],
            "riskLevelIds": [
              "<string>"
            ]
          },
          "inclusionList": {
            "appEntitlementRefs": [
              {
                "appId": "<string>",
                "id": "<string>"
              }
            ]
          },
          "inclusionListCel": {
            "appEntitlementRefsCel": "<string>"
          }
        }
      },
      "schedule": {
        "advanced": true,
        "condition": "<string>",
        "cronSpec": "<string>",
        "skipIfTrueCel": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "scheduleAppUser": {
        "appId": "<string>",
        "condition": "<string>",
        "cronSpec": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "scheduleNoUser": {
        "advanced": true,
        "cronSpec": "<string>",
        "start": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "usageBasedRevocation": {
        "appId": "<string>",
        "enabledAt": "2023-11-07T05:31:56Z",
        "excludedGroupRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "excludedUserRefs": [
          {
            "id": "<string>"
          }
        ],
        "includeUsersWithNoActivity": true,
        "runDelayed": {
          "coldStartDelayDays": 123
        },
        "runImmediately": {},
        "targetedAppUserTypes": [],
        "targetedEntitlementRefs": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "unusedForDays": 123
      },
      "userCreated": {
        "condition": "<string>"
      },
      "userProfileChange": {
        "condition": "<string>"
      },
      "webhook": {
        "capabilityUrl": {},
        "hmac": {},
        "jwt": {
          "jwksUrl": "<string>"
        },
        "listenerId": "<string>"
      }
    }
  ]
}
'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/automations"

payload = {
    "annotations": {},
    "appId": "<string>",
    "automationSteps": [
        {
            "accountLifecycleAction": {
                "accountInContext": {},
                "accountRef": { "accountIdCel": "<string>" },
                "actionName": "<string>",
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                }
            },
            "callFunction": {
                "args": {},
                "functionId": "<string>"
            },
            "connectorAction": {
                "actionName": "<string>",
                "argsTemplate": {},
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "resourceTypeId": "<string>"
            },
            "connectorCreateAccount": {
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "passwordCel": "<string>",
                "userIdCel": "<string>",
                "userProperties": {
                    "displayNameCel": "<string>",
                    "emailCel": "<string>",
                    "profileAttributeCel": "<string>",
                    "usernameCel": "<string>"
                }
            },
            "createAccessReview": {
                "accessReviewTemplateCel": "<string>",
                "accessReviewTemplateId": "<string>",
                "campaignName": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "createRevokeTasks": {
                "appEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "appEntitlementRefsCel": "<string>",
                "excludedAppEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "excludedAppEntitlementRefsCel": "<string>",
                "revokeAll": True,
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "createRevokeTasksV2": {
                "exclusionCriteria": {
                    "excludedAppIds": ["<string>"],
                    "excludedComplianceFrameworkIds": ["<string>"],
                    "excludedResourceTypeIds": ["<string>"],
                    "excludedRiskLevelIds": ["<string>"]
                },
                "exclusionList": { "excludedAppEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "exclusionListCel": { "excludedAppEntitlementRefsCel": "<string>" },
                "exclusionNone": {},
                "inclusionAccessOnly": {},
                "inclusionAll": {},
                "inclusionCriteria": {
                    "appIds": ["<string>"],
                    "complianceFrameworkIds": ["<string>"],
                    "resourceTypeIds": ["<string>"],
                    "riskLevelIds": ["<string>"]
                },
                "inclusionList": { "appEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "inclusionListCel": { "appEntitlementRefsCel": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "evaluateExpressions": { "expressions": [
                    {
                        "expressionCel": "<string>",
                        "isSecret": True,
                        "key": "<string>"
                    }
                ] },
            "generatePassword": {
                "passwordPolicyId": "<string>",
                "policy": {
                    "customCharacters": "<string>",
                    "excludedCharacters": "<string>",
                    "maxCharacterCount": 123,
                    "minCharacterCount": 123,
                    "noRestrictions": True,
                    "requireLowercase": True,
                    "requireNumbers": True,
                    "requireSpecialCharacters": True,
                    "requireUppercase": True
                }
            },
            "grantEntitlements": {
                "exclusionCriteria": {
                    "excludedAppIds": ["<string>"],
                    "excludedComplianceFrameworkIds": ["<string>"],
                    "excludedRiskLevelIds": ["<string>"]
                },
                "exclusionList": { "excludedAppEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "exclusionListCel": { "excludedAppEntitlementRefsCel": "<string>" },
                "exclusionNone": {},
                "inclusionCriteria": {
                    "appIds": ["<string>"],
                    "complianceFrameworkIds": ["<string>"],
                    "riskLevelIds": ["<string>"]
                },
                "inclusionList": { "appEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "inclusionListCel": { "appEntitlementRefsCel": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "removeFromDelegation": {
                "replacementUserIdCel": "<string>",
                "replacementUserRef": { "id": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "runAutomation": {
                "automationTemplateIdCel": "<string>",
                "automationTemplateRef": { "id": "<string>" },
                "context": { "context": {} }
            },
            "sendEmail": {
                "body": "<string>",
                "email": "<string>",
                "emailCel": "<string>",
                "subject": "<string>",
                "title": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "sendSlackMessage": {
                "body": "<string>",
                "channelName": "<string>",
                "channelNameCel": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "setCredential": {
                "accountIdCel": "<string>",
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "passwordCel": "<string>"
            },
            "skipIfTrueCel": "<string>",
            "stepDisplayName": "<string>",
            "stepName": "<string>",
            "storeCredential": {
                "appIdCel": "<string>",
                "credentialCel": "<string>",
                "expiry": "<string>",
                "labelCel": "<string>",
                "maxViews": 123,
                "recipientCel": "<string>",
                "recipientEmailCel": "<string>",
                "ttl": "<string>"
            },
            "taskAction": {
                "close": {
                    "useSubjectUser": True,
                    "userIdCel": "<string>",
                    "userRef": { "id": "<string>" }
                },
                "reassign": {
                    "assigneeUserIdCel": "<string>",
                    "assigneeUserRef": { "id": "<string>" },
                    "subjectUserIdCel": "<string>",
                    "subjectUserRef": { "id": "<string>" },
                    "useSubjectUser": True
                },
                "taskTypes": []
            },
            "unenrollFromAllAccessProfiles": {
                "catalogIds": ["<string>"],
                "catalogIdsCel": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "updateUser": {
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" },
                "userStatusCel": "<string>"
            },
            "waitForDuration": { "duration": "<string>" },
            "webhook": {
                "payload": {},
                "webhookId": "<string>",
                "webhookIdCel": "<string>"
            }
        }
    ],
    "circuitBreakerMax": 123,
    "context": { "context": {} },
    "description": "<string>",
    "displayName": "<string>",
    "draftAutomationSteps": [
        {
            "accountLifecycleAction": {
                "accountInContext": {},
                "accountRef": { "accountIdCel": "<string>" },
                "actionName": "<string>",
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                }
            },
            "callFunction": {
                "args": {},
                "functionId": "<string>"
            },
            "connectorAction": {
                "actionName": "<string>",
                "argsTemplate": {},
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "resourceTypeId": "<string>"
            },
            "connectorCreateAccount": {
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "passwordCel": "<string>",
                "userIdCel": "<string>",
                "userProperties": {
                    "displayNameCel": "<string>",
                    "emailCel": "<string>",
                    "profileAttributeCel": "<string>",
                    "usernameCel": "<string>"
                }
            },
            "createAccessReview": {
                "accessReviewTemplateCel": "<string>",
                "accessReviewTemplateId": "<string>",
                "campaignName": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "createRevokeTasks": {
                "appEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "appEntitlementRefsCel": "<string>",
                "excludedAppEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "excludedAppEntitlementRefsCel": "<string>",
                "revokeAll": True,
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "createRevokeTasksV2": {
                "exclusionCriteria": {
                    "excludedAppIds": ["<string>"],
                    "excludedComplianceFrameworkIds": ["<string>"],
                    "excludedResourceTypeIds": ["<string>"],
                    "excludedRiskLevelIds": ["<string>"]
                },
                "exclusionList": { "excludedAppEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "exclusionListCel": { "excludedAppEntitlementRefsCel": "<string>" },
                "exclusionNone": {},
                "inclusionAccessOnly": {},
                "inclusionAll": {},
                "inclusionCriteria": {
                    "appIds": ["<string>"],
                    "complianceFrameworkIds": ["<string>"],
                    "resourceTypeIds": ["<string>"],
                    "riskLevelIds": ["<string>"]
                },
                "inclusionList": { "appEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "inclusionListCel": { "appEntitlementRefsCel": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "evaluateExpressions": { "expressions": [
                    {
                        "expressionCel": "<string>",
                        "isSecret": True,
                        "key": "<string>"
                    }
                ] },
            "generatePassword": {
                "passwordPolicyId": "<string>",
                "policy": {
                    "customCharacters": "<string>",
                    "excludedCharacters": "<string>",
                    "maxCharacterCount": 123,
                    "minCharacterCount": 123,
                    "noRestrictions": True,
                    "requireLowercase": True,
                    "requireNumbers": True,
                    "requireSpecialCharacters": True,
                    "requireUppercase": True
                }
            },
            "grantEntitlements": {
                "exclusionCriteria": {
                    "excludedAppIds": ["<string>"],
                    "excludedComplianceFrameworkIds": ["<string>"],
                    "excludedRiskLevelIds": ["<string>"]
                },
                "exclusionList": { "excludedAppEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "exclusionListCel": { "excludedAppEntitlementRefsCel": "<string>" },
                "exclusionNone": {},
                "inclusionCriteria": {
                    "appIds": ["<string>"],
                    "complianceFrameworkIds": ["<string>"],
                    "riskLevelIds": ["<string>"]
                },
                "inclusionList": { "appEntitlementRefs": [
                        {
                            "appId": "<string>",
                            "id": "<string>"
                        }
                    ] },
                "inclusionListCel": { "appEntitlementRefsCel": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "removeFromDelegation": {
                "replacementUserIdCel": "<string>",
                "replacementUserRef": { "id": "<string>" },
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" }
            },
            "runAutomation": {
                "automationTemplateIdCel": "<string>",
                "automationTemplateRef": { "id": "<string>" },
                "context": { "context": {} }
            },
            "sendEmail": {
                "body": "<string>",
                "email": "<string>",
                "emailCel": "<string>",
                "subject": "<string>",
                "title": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "sendSlackMessage": {
                "body": "<string>",
                "channelName": "<string>",
                "channelNameCel": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "setCredential": {
                "accountIdCel": "<string>",
                "connectorRef": {
                    "appId": "<string>",
                    "id": "<string>"
                },
                "passwordCel": "<string>"
            },
            "skipIfTrueCel": "<string>",
            "stepDisplayName": "<string>",
            "stepName": "<string>",
            "storeCredential": {
                "appIdCel": "<string>",
                "credentialCel": "<string>",
                "expiry": "<string>",
                "labelCel": "<string>",
                "maxViews": 123,
                "recipientCel": "<string>",
                "recipientEmailCel": "<string>",
                "ttl": "<string>"
            },
            "taskAction": {
                "close": {
                    "useSubjectUser": True,
                    "userIdCel": "<string>",
                    "userRef": { "id": "<string>" }
                },
                "reassign": {
                    "assigneeUserIdCel": "<string>",
                    "assigneeUserRef": { "id": "<string>" },
                    "subjectUserIdCel": "<string>",
                    "subjectUserRef": { "id": "<string>" },
                    "useSubjectUser": True
                },
                "taskTypes": []
            },
            "unenrollFromAllAccessProfiles": {
                "catalogIds": ["<string>"],
                "catalogIdsCel": "<string>",
                "useSubjectUser": True,
                "userIdsCel": "<string>",
                "userRefs": [{ "id": "<string>" }]
            },
            "updateUser": {
                "useSubjectUser": True,
                "userIdCel": "<string>",
                "userRef": { "id": "<string>" },
                "userStatusCel": "<string>"
            },
            "waitForDuration": { "duration": "<string>" },
            "webhook": {
                "payload": {},
                "webhookId": "<string>",
                "webhookIdCel": "<string>"
            }
        }
    ],
    "draftTriggers": [
        {
            "accessConflict": {
                "allConflictMonitors": True,
                "conflictMonitorRefs": { "conflictMonitorRefs": [{ "id": "<string>" }] }
            },
            "appUserCreated": {
                "appId": "<string>",
                "appIdCel": "<string>",
                "condition": "<string>"
            },
            "appUserUpdated": {
                "appId": "<string>",
                "appIdCel": "<string>",
                "condition": "<string>"
            },
            "grantDeleted": { "grantTriggerFilter": {
                    "accountFilter": {},
                    "grantFilter": {},
                    "inclusionAll": {},
                    "inclusionCriteria": {
                        "appIds": ["<string>"],
                        "complianceFrameworkIds": ["<string>"],
                        "resourceTypeIds": ["<string>"],
                        "riskLevelIds": ["<string>"]
                    },
                    "inclusionList": { "appEntitlementRefs": [
                            {
                                "appId": "<string>",
                                "id": "<string>"
                            }
                        ] },
                    "inclusionListCel": { "appEntitlementRefsCel": "<string>" }
                } },
            "grantFound": { "grantTriggerFilter": {
                    "accountFilter": {},
                    "grantFilter": {},
                    "inclusionAll": {},
                    "inclusionCriteria": {
                        "appIds": ["<string>"],
                        "complianceFrameworkIds": ["<string>"],
                        "resourceTypeIds": ["<string>"],
                        "riskLevelIds": ["<string>"]
                    },
                    "inclusionList": { "appEntitlementRefs": [
                            {
                                "appId": "<string>",
                                "id": "<string>"
                            }
                        ] },
                    "inclusionListCel": { "appEntitlementRefsCel": "<string>" }
                } },
            "schedule": {
                "advanced": True,
                "condition": "<string>",
                "cronSpec": "<string>",
                "skipIfTrueCel": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "scheduleAppUser": {
                "appId": "<string>",
                "condition": "<string>",
                "cronSpec": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "scheduleNoUser": {
                "advanced": True,
                "cronSpec": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "usageBasedRevocation": {
                "appId": "<string>",
                "enabledAt": "2023-11-07T05:31:56Z",
                "excludedGroupRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "excludedUserRefs": [{ "id": "<string>" }],
                "includeUsersWithNoActivity": True,
                "runDelayed": { "coldStartDelayDays": 123 },
                "runImmediately": {},
                "targetedAppUserTypes": [],
                "targetedEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "unusedForDays": 123
            },
            "userCreated": { "condition": "<string>" },
            "userProfileChange": { "condition": "<string>" },
            "webhook": {
                "capabilityUrl": {},
                "hmac": {},
                "jwt": { "jwksUrl": "<string>" },
                "listenerId": "<string>"
            }
        }
    ],
    "enabled": True,
    "isDraft": True,
    "triggers": [
        {
            "accessConflict": {
                "allConflictMonitors": True,
                "conflictMonitorRefs": { "conflictMonitorRefs": [{ "id": "<string>" }] }
            },
            "appUserCreated": {
                "appId": "<string>",
                "appIdCel": "<string>",
                "condition": "<string>"
            },
            "appUserUpdated": {
                "appId": "<string>",
                "appIdCel": "<string>",
                "condition": "<string>"
            },
            "grantDeleted": { "grantTriggerFilter": {
                    "accountFilter": {},
                    "grantFilter": {},
                    "inclusionAll": {},
                    "inclusionCriteria": {
                        "appIds": ["<string>"],
                        "complianceFrameworkIds": ["<string>"],
                        "resourceTypeIds": ["<string>"],
                        "riskLevelIds": ["<string>"]
                    },
                    "inclusionList": { "appEntitlementRefs": [
                            {
                                "appId": "<string>",
                                "id": "<string>"
                            }
                        ] },
                    "inclusionListCel": { "appEntitlementRefsCel": "<string>" }
                } },
            "grantFound": { "grantTriggerFilter": {
                    "accountFilter": {},
                    "grantFilter": {},
                    "inclusionAll": {},
                    "inclusionCriteria": {
                        "appIds": ["<string>"],
                        "complianceFrameworkIds": ["<string>"],
                        "resourceTypeIds": ["<string>"],
                        "riskLevelIds": ["<string>"]
                    },
                    "inclusionList": { "appEntitlementRefs": [
                            {
                                "appId": "<string>",
                                "id": "<string>"
                            }
                        ] },
                    "inclusionListCel": { "appEntitlementRefsCel": "<string>" }
                } },
            "schedule": {
                "advanced": True,
                "condition": "<string>",
                "cronSpec": "<string>",
                "skipIfTrueCel": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "scheduleAppUser": {
                "appId": "<string>",
                "condition": "<string>",
                "cronSpec": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "scheduleNoUser": {
                "advanced": True,
                "cronSpec": "<string>",
                "start": "2023-11-07T05:31:56Z",
                "timezone": "<string>"
            },
            "usageBasedRevocation": {
                "appId": "<string>",
                "enabledAt": "2023-11-07T05:31:56Z",
                "excludedGroupRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "excludedUserRefs": [{ "id": "<string>" }],
                "includeUsersWithNoActivity": True,
                "runDelayed": { "coldStartDelayDays": 123 },
                "runImmediately": {},
                "targetedAppUserTypes": [],
                "targetedEntitlementRefs": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "unusedForDays": 123
            },
            "userCreated": { "condition": "<string>" },
            "userProfileChange": { "condition": "<string>" },
            "webhook": {
                "capabilityUrl": {},
                "hmac": {},
                "jwt": { "jwksUrl": "<string>" },
                "listenerId": "<string>"
            }
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    annotations: {},
    appId: '<string>',
    automationSteps: [
      {
        accountLifecycleAction: {
          accountInContext: {},
          accountRef: {accountIdCel: '<string>'},
          actionName: '<string>',
          connectorRef: {appId: '<string>', id: '<string>'}
        },
        callFunction: {args: {}, functionId: '<string>'},
        connectorAction: {
          actionName: '<string>',
          argsTemplate: {},
          connectorRef: {appId: '<string>', id: '<string>'},
          resourceTypeId: '<string>'
        },
        connectorCreateAccount: {
          connectorRef: {appId: '<string>', id: '<string>'},
          passwordCel: '<string>',
          userIdCel: '<string>',
          userProperties: {
            displayNameCel: '<string>',
            emailCel: '<string>',
            profileAttributeCel: '<string>',
            usernameCel: '<string>'
          }
        },
        createAccessReview: {
          accessReviewTemplateCel: '<string>',
          accessReviewTemplateId: '<string>',
          campaignName: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        createRevokeTasks: {
          appEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          appEntitlementRefsCel: '<string>',
          excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          excludedAppEntitlementRefsCel: '<string>',
          revokeAll: true,
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        createRevokeTasksV2: {
          exclusionCriteria: {
            excludedAppIds: ['<string>'],
            excludedComplianceFrameworkIds: ['<string>'],
            excludedResourceTypeIds: ['<string>'],
            excludedRiskLevelIds: ['<string>']
          },
          exclusionList: {excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          exclusionListCel: {excludedAppEntitlementRefsCel: '<string>'},
          exclusionNone: {},
          inclusionAccessOnly: {},
          inclusionAll: {},
          inclusionCriteria: {
            appIds: ['<string>'],
            complianceFrameworkIds: ['<string>'],
            resourceTypeIds: ['<string>'],
            riskLevelIds: ['<string>']
          },
          inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          inclusionListCel: {appEntitlementRefsCel: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        evaluateExpressions: {expressions: [{expressionCel: '<string>', isSecret: true, key: '<string>'}]},
        generatePassword: {
          passwordPolicyId: '<string>',
          policy: {
            customCharacters: '<string>',
            excludedCharacters: '<string>',
            maxCharacterCount: 123,
            minCharacterCount: 123,
            noRestrictions: true,
            requireLowercase: true,
            requireNumbers: true,
            requireSpecialCharacters: true,
            requireUppercase: true
          }
        },
        grantEntitlements: {
          exclusionCriteria: {
            excludedAppIds: ['<string>'],
            excludedComplianceFrameworkIds: ['<string>'],
            excludedRiskLevelIds: ['<string>']
          },
          exclusionList: {excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          exclusionListCel: {excludedAppEntitlementRefsCel: '<string>'},
          exclusionNone: {},
          inclusionCriteria: {
            appIds: ['<string>'],
            complianceFrameworkIds: ['<string>'],
            riskLevelIds: ['<string>']
          },
          inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          inclusionListCel: {appEntitlementRefsCel: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        removeFromDelegation: {
          replacementUserIdCel: '<string>',
          replacementUserRef: {id: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        runAutomation: {
          automationTemplateIdCel: '<string>',
          automationTemplateRef: {id: '<string>'},
          context: {context: {}}
        },
        sendEmail: {
          body: JSON.stringify('<string>'),
          email: '<string>',
          emailCel: '<string>',
          subject: '<string>',
          title: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        sendSlackMessage: {
          body: JSON.stringify('<string>'),
          channelName: '<string>',
          channelNameCel: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        setCredential: {
          accountIdCel: '<string>',
          connectorRef: {appId: '<string>', id: '<string>'},
          passwordCel: '<string>'
        },
        skipIfTrueCel: '<string>',
        stepDisplayName: '<string>',
        stepName: '<string>',
        storeCredential: {
          appIdCel: '<string>',
          credentialCel: '<string>',
          expiry: '<string>',
          labelCel: '<string>',
          maxViews: 123,
          recipientCel: '<string>',
          recipientEmailCel: '<string>',
          ttl: '<string>'
        },
        taskAction: {
          close: {useSubjectUser: true, userIdCel: '<string>', userRef: {id: '<string>'}},
          reassign: {
            assigneeUserIdCel: '<string>',
            assigneeUserRef: {id: '<string>'},
            subjectUserIdCel: '<string>',
            subjectUserRef: {id: '<string>'},
            useSubjectUser: true
          },
          taskTypes: []
        },
        unenrollFromAllAccessProfiles: {
          catalogIds: ['<string>'],
          catalogIdsCel: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        updateUser: {
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'},
          userStatusCel: '<string>'
        },
        waitForDuration: {duration: '<string>'},
        webhook: {payload: {}, webhookId: '<string>', webhookIdCel: '<string>'}
      }
    ],
    circuitBreakerMax: 123,
    context: {context: {}},
    description: '<string>',
    displayName: '<string>',
    draftAutomationSteps: [
      {
        accountLifecycleAction: {
          accountInContext: {},
          accountRef: {accountIdCel: '<string>'},
          actionName: '<string>',
          connectorRef: {appId: '<string>', id: '<string>'}
        },
        callFunction: {args: {}, functionId: '<string>'},
        connectorAction: {
          actionName: '<string>',
          argsTemplate: {},
          connectorRef: {appId: '<string>', id: '<string>'},
          resourceTypeId: '<string>'
        },
        connectorCreateAccount: {
          connectorRef: {appId: '<string>', id: '<string>'},
          passwordCel: '<string>',
          userIdCel: '<string>',
          userProperties: {
            displayNameCel: '<string>',
            emailCel: '<string>',
            profileAttributeCel: '<string>',
            usernameCel: '<string>'
          }
        },
        createAccessReview: {
          accessReviewTemplateCel: '<string>',
          accessReviewTemplateId: '<string>',
          campaignName: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        createRevokeTasks: {
          appEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          appEntitlementRefsCel: '<string>',
          excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          excludedAppEntitlementRefsCel: '<string>',
          revokeAll: true,
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        createRevokeTasksV2: {
          exclusionCriteria: {
            excludedAppIds: ['<string>'],
            excludedComplianceFrameworkIds: ['<string>'],
            excludedResourceTypeIds: ['<string>'],
            excludedRiskLevelIds: ['<string>']
          },
          exclusionList: {excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          exclusionListCel: {excludedAppEntitlementRefsCel: '<string>'},
          exclusionNone: {},
          inclusionAccessOnly: {},
          inclusionAll: {},
          inclusionCriteria: {
            appIds: ['<string>'],
            complianceFrameworkIds: ['<string>'],
            resourceTypeIds: ['<string>'],
            riskLevelIds: ['<string>']
          },
          inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          inclusionListCel: {appEntitlementRefsCel: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        evaluateExpressions: {expressions: [{expressionCel: '<string>', isSecret: true, key: '<string>'}]},
        generatePassword: {
          passwordPolicyId: '<string>',
          policy: {
            customCharacters: '<string>',
            excludedCharacters: '<string>',
            maxCharacterCount: 123,
            minCharacterCount: 123,
            noRestrictions: true,
            requireLowercase: true,
            requireNumbers: true,
            requireSpecialCharacters: true,
            requireUppercase: true
          }
        },
        grantEntitlements: {
          exclusionCriteria: {
            excludedAppIds: ['<string>'],
            excludedComplianceFrameworkIds: ['<string>'],
            excludedRiskLevelIds: ['<string>']
          },
          exclusionList: {excludedAppEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          exclusionListCel: {excludedAppEntitlementRefsCel: '<string>'},
          exclusionNone: {},
          inclusionCriteria: {
            appIds: ['<string>'],
            complianceFrameworkIds: ['<string>'],
            riskLevelIds: ['<string>']
          },
          inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
          inclusionListCel: {appEntitlementRefsCel: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        removeFromDelegation: {
          replacementUserIdCel: '<string>',
          replacementUserRef: {id: '<string>'},
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'}
        },
        runAutomation: {
          automationTemplateIdCel: '<string>',
          automationTemplateRef: {id: '<string>'},
          context: {context: {}}
        },
        sendEmail: {
          body: JSON.stringify('<string>'),
          email: '<string>',
          emailCel: '<string>',
          subject: '<string>',
          title: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        sendSlackMessage: {
          body: JSON.stringify('<string>'),
          channelName: '<string>',
          channelNameCel: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        setCredential: {
          accountIdCel: '<string>',
          connectorRef: {appId: '<string>', id: '<string>'},
          passwordCel: '<string>'
        },
        skipIfTrueCel: '<string>',
        stepDisplayName: '<string>',
        stepName: '<string>',
        storeCredential: {
          appIdCel: '<string>',
          credentialCel: '<string>',
          expiry: '<string>',
          labelCel: '<string>',
          maxViews: 123,
          recipientCel: '<string>',
          recipientEmailCel: '<string>',
          ttl: '<string>'
        },
        taskAction: {
          close: {useSubjectUser: true, userIdCel: '<string>', userRef: {id: '<string>'}},
          reassign: {
            assigneeUserIdCel: '<string>',
            assigneeUserRef: {id: '<string>'},
            subjectUserIdCel: '<string>',
            subjectUserRef: {id: '<string>'},
            useSubjectUser: true
          },
          taskTypes: []
        },
        unenrollFromAllAccessProfiles: {
          catalogIds: ['<string>'],
          catalogIdsCel: '<string>',
          useSubjectUser: true,
          userIdsCel: '<string>',
          userRefs: [{id: '<string>'}]
        },
        updateUser: {
          useSubjectUser: true,
          userIdCel: '<string>',
          userRef: {id: '<string>'},
          userStatusCel: '<string>'
        },
        waitForDuration: {duration: '<string>'},
        webhook: {payload: {}, webhookId: '<string>', webhookIdCel: '<string>'}
      }
    ],
    draftTriggers: [
      {
        accessConflict: {
          allConflictMonitors: true,
          conflictMonitorRefs: {conflictMonitorRefs: [{id: '<string>'}]}
        },
        appUserCreated: {appId: '<string>', appIdCel: '<string>', condition: '<string>'},
        appUserUpdated: {appId: '<string>', appIdCel: '<string>', condition: '<string>'},
        grantDeleted: {
          grantTriggerFilter: {
            accountFilter: {},
            grantFilter: {},
            inclusionAll: {},
            inclusionCriteria: {
              appIds: ['<string>'],
              complianceFrameworkIds: ['<string>'],
              resourceTypeIds: ['<string>'],
              riskLevelIds: ['<string>']
            },
            inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
            inclusionListCel: {appEntitlementRefsCel: '<string>'}
          }
        },
        grantFound: {
          grantTriggerFilter: {
            accountFilter: {},
            grantFilter: {},
            inclusionAll: {},
            inclusionCriteria: {
              appIds: ['<string>'],
              complianceFrameworkIds: ['<string>'],
              resourceTypeIds: ['<string>'],
              riskLevelIds: ['<string>']
            },
            inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
            inclusionListCel: {appEntitlementRefsCel: '<string>'}
          }
        },
        schedule: {
          advanced: true,
          condition: '<string>',
          cronSpec: '<string>',
          skipIfTrueCel: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        scheduleAppUser: {
          appId: '<string>',
          condition: '<string>',
          cronSpec: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        scheduleNoUser: {
          advanced: true,
          cronSpec: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        usageBasedRevocation: {
          appId: '<string>',
          enabledAt: '2023-11-07T05:31:56Z',
          excludedGroupRefs: [{appId: '<string>', id: '<string>'}],
          excludedUserRefs: [{id: '<string>'}],
          includeUsersWithNoActivity: true,
          runDelayed: {coldStartDelayDays: 123},
          runImmediately: {},
          targetedAppUserTypes: [],
          targetedEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          unusedForDays: 123
        },
        userCreated: {condition: '<string>'},
        userProfileChange: {condition: '<string>'},
        webhook: {
          capabilityUrl: {},
          hmac: {},
          jwt: {jwksUrl: '<string>'},
          listenerId: '<string>'
        }
      }
    ],
    enabled: true,
    isDraft: true,
    triggers: [
      {
        accessConflict: {
          allConflictMonitors: true,
          conflictMonitorRefs: {conflictMonitorRefs: [{id: '<string>'}]}
        },
        appUserCreated: {appId: '<string>', appIdCel: '<string>', condition: '<string>'},
        appUserUpdated: {appId: '<string>', appIdCel: '<string>', condition: '<string>'},
        grantDeleted: {
          grantTriggerFilter: {
            accountFilter: {},
            grantFilter: {},
            inclusionAll: {},
            inclusionCriteria: {
              appIds: ['<string>'],
              complianceFrameworkIds: ['<string>'],
              resourceTypeIds: ['<string>'],
              riskLevelIds: ['<string>']
            },
            inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
            inclusionListCel: {appEntitlementRefsCel: '<string>'}
          }
        },
        grantFound: {
          grantTriggerFilter: {
            accountFilter: {},
            grantFilter: {},
            inclusionAll: {},
            inclusionCriteria: {
              appIds: ['<string>'],
              complianceFrameworkIds: ['<string>'],
              resourceTypeIds: ['<string>'],
              riskLevelIds: ['<string>']
            },
            inclusionList: {appEntitlementRefs: [{appId: '<string>', id: '<string>'}]},
            inclusionListCel: {appEntitlementRefsCel: '<string>'}
          }
        },
        schedule: {
          advanced: true,
          condition: '<string>',
          cronSpec: '<string>',
          skipIfTrueCel: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        scheduleAppUser: {
          appId: '<string>',
          condition: '<string>',
          cronSpec: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        scheduleNoUser: {
          advanced: true,
          cronSpec: '<string>',
          start: '2023-11-07T05:31:56Z',
          timezone: '<string>'
        },
        usageBasedRevocation: {
          appId: '<string>',
          enabledAt: '2023-11-07T05:31:56Z',
          excludedGroupRefs: [{appId: '<string>', id: '<string>'}],
          excludedUserRefs: [{id: '<string>'}],
          includeUsersWithNoActivity: true,
          runDelayed: {coldStartDelayDays: 123},
          runImmediately: {},
          targetedAppUserTypes: [],
          targetedEntitlementRefs: [{appId: '<string>', id: '<string>'}],
          unusedForDays: 123
        },
        userCreated: {condition: '<string>'},
        userProfileChange: {condition: '<string>'},
        webhook: {
          capabilityUrl: {},
          hmac: {},
          jwt: {jwksUrl: '<string>'},
          listenerId: '<string>'
        }
      }
    ]
  })
};

fetch('https://{tenantDomain}.conductor.one/api/v1/automations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/automations",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'annotations' => [
        
    ],
    'appId' => '<string>',
    'automationSteps' => [
        [
                'accountLifecycleAction' => [
                                'accountInContext' => [
                                                                
                                ],
                                'accountRef' => [
                                                                'accountIdCel' => '<string>'
                                ],
                                'actionName' => '<string>',
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ]
                ],
                'callFunction' => [
                                'args' => [
                                                                
                                ],
                                'functionId' => '<string>'
                ],
                'connectorAction' => [
                                'actionName' => '<string>',
                                'argsTemplate' => [
                                                                
                                ],
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ],
                                'resourceTypeId' => '<string>'
                ],
                'connectorCreateAccount' => [
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ],
                                'passwordCel' => '<string>',
                                'userIdCel' => '<string>',
                                'userProperties' => [
                                                                'displayNameCel' => '<string>',
                                                                'emailCel' => '<string>',
                                                                'profileAttributeCel' => '<string>',
                                                                'usernameCel' => '<string>'
                                ]
                ],
                'createAccessReview' => [
                                'accessReviewTemplateCel' => '<string>',
                                'accessReviewTemplateId' => '<string>',
                                'campaignName' => '<string>',
                                'useSubjectUser' => true,
                                'userIdsCel' => '<string>',
                                'userRefs' => [
                                                                [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ]
                ],
                'createRevokeTasks' => [
                                'appEntitlementRefs' => [
                                                                [
                                                                                                                                'appId' => '<string>',
                                                                                                                                'id' => '<string>'
                                                                ]
                                ],
                                'appEntitlementRefsCel' => '<string>',
                                'excludedAppEntitlementRefs' => [
                                                                [
                                                                                                                                'appId' => '<string>',
                                                                                                                                'id' => '<string>'
                                                                ]
                                ],
                                'excludedAppEntitlementRefsCel' => '<string>',
                                'revokeAll' => true,
                                'useSubjectUser' => true,
                                'userIdCel' => '<string>',
                                'userRef' => [
                                                                'id' => '<string>'
                                ]
                ],
                'createRevokeTasksV2' => [
                                'exclusionCriteria' => [
                                                                'excludedAppIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'excludedComplianceFrameworkIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'excludedResourceTypeIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'excludedRiskLevelIds' => [
                                                                                                                                '<string>'
                                                                ]
                                ],
                                'exclusionList' => [
                                                                'excludedAppEntitlementRefs' => [
                                                                                                                                [
                                                                                                                                                                                                                                                                'appId' => '<string>',
                                                                                                                                                                                                                                                                'id' => '<string>'
                                                                                                                                ]
                                                                ]
                                ],
                                'exclusionListCel' => [
                                                                'excludedAppEntitlementRefsCel' => '<string>'
                                ],
                                'exclusionNone' => [
                                                                
                                ],
                                'inclusionAccessOnly' => [
                                                                
                                ],
                                'inclusionAll' => [
                                                                
                                ],
                                'inclusionCriteria' => [
                                                                'appIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'complianceFrameworkIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'resourceTypeIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'riskLevelIds' => [
                                                                                                                                '<string>'
                                                                ]
                                ],
                                'inclusionList' => [
                                                                'appEntitlementRefs' => [
                                                                                                                                [
                                                                                                                                                                                                                                                                'appId' => '<string>',
                                                                                                                                                                                                                                                                'id' => '<string>'
                                                                                                                                ]
                                                                ]
                                ],
                                'inclusionListCel' => [
                                                                'appEntitlementRefsCel' => '<string>'
                                ],
                                'useSubjectUser' => true,
                                'userIdCel' => '<string>',
                                'userRef' => [
                                                                'id' => '<string>'
                                ]
                ],
                'evaluateExpressions' => [
                                'expressions' => [
                                                                [
                                                                                                                                'expressionCel' => '<string>',
                                                                                                                                'isSecret' => true,
                                                                                                                                'key' => '<string>'
                                                                ]
                                ]
                ],
                'generatePassword' => [
                                'passwordPolicyId' => '<string>',
                                'policy' => [
                                                                'customCharacters' => '<string>',
                                                                'excludedCharacters' => '<string>',
                                                                'maxCharacterCount' => 123,
                                                                'minCharacterCount' => 123,
                                                                'noRestrictions' => true,
                                                                'requireLowercase' => true,
                                                                'requireNumbers' => true,
                                                                'requireSpecialCharacters' => true,
                                                                'requireUppercase' => true
                                ]
                ],
                'grantEntitlements' => [
                                'exclusionCriteria' => [
                                                                'excludedAppIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'excludedComplianceFrameworkIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'excludedRiskLevelIds' => [
                                                                                                                                '<string>'
                                                                ]
                                ],
                                'exclusionList' => [
                                                                'excludedAppEntitlementRefs' => [
                                                                                                                                [
                                                                                                                                                                                                                                                                'appId' => '<string>',
                                                                                                                                                                                                                                                                'id' => '<string>'
                                                                                                                                ]
                                                                ]
                                ],
                                'exclusionListCel' => [
                                                                'excludedAppEntitlementRefsCel' => '<string>'
                                ],
                                'exclusionNone' => [
                                                                
                                ],
                                'inclusionCriteria' => [
                                                                'appIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'complianceFrameworkIds' => [
                                                                                                                                '<string>'
                                                                ],
                                                                'riskLevelIds' => [
                                                                                                                                '<string>'
                                                                ]
                                ],
                                'inclusionList' => [
                                                                'appEntitlementRefs' => [
                                                                                                                                [
                                                                                                                                                                                                                                                                'appId' => '<string>',
                                                                                                                                                                                                                                                                'id' => '<string>'
                                                                                                                                ]
                                                                ]
                                ],
                                'inclusionListCel' => [
                                                                'appEntitlementRefsCel' => '<string>'
                                ],
                                'useSubjectUser' => true,
                                'userIdCel' => '<string>',
                                'userRef' => [
                                                                'id' => '<string>'
                                ]
                ],
                'removeFromDelegation' => [
                                'replacementUserIdCel' => '<string>',
                                'replacementUserRef' => [
                                                                'id' => '<string>'
                                ],
                                'useSubjectUser' => true,
                                'userIdCel' => '<string>',
                                'userRef' => [
                                                                'id' => '<string>'
                                ]
                ],
                'runAutomation' => [
                                'automationTemplateIdCel' => '<string>',
                                'automationTemplateRef' => [
                                                                'id' => '<string>'
                                ],
                                'context' => [
                                                                'context' => [
                                                                                                                                
                                                                ]
                                ]
                ],
                'sendEmail' => [
                                'body' => '<string>',
                                'email' => '<string>',
                                'emailCel' => '<string>',
                                'subject' => '<string>',
                                'title' => '<string>',
                                'useSubjectUser' => true,
                                'userIdsCel' => '<string>',
                                'userRefs' => [
                                                                [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ]
                ],
                'sendSlackMessage' => [
                                'body' => '<string>',
                                'channelName' => '<string>',
                                'channelNameCel' => '<string>',
                                'useSubjectUser' => true,
                                'userIdsCel' => '<string>',
                                'userRefs' => [
                                                                [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ]
                ],
                'setCredential' => [
                                'accountIdCel' => '<string>',
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ],
                                'passwordCel' => '<string>'
                ],
                'skipIfTrueCel' => '<string>',
                'stepDisplayName' => '<string>',
                'stepName' => '<string>',
                'storeCredential' => [
                                'appIdCel' => '<string>',
                                'credentialCel' => '<string>',
                                'expiry' => '<string>',
                                'labelCel' => '<string>',
                                'maxViews' => 123,
                                'recipientCel' => '<string>',
                                'recipientEmailCel' => '<string>',
                                'ttl' => '<string>'
                ],
                'taskAction' => [
                                'close' => [
                                                                'useSubjectUser' => true,
                                                                'userIdCel' => '<string>',
                                                                'userRef' => [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ],
                                'reassign' => [
                                                                'assigneeUserIdCel' => '<string>',
                                                                'assigneeUserRef' => [
                                                                                                                                'id' => '<string>'
                                                                ],
                                                                'subjectUserIdCel' => '<string>',
                                                                'subjectUserRef' => [
                                                                                                                                'id' => '<string>'
                                                                ],
                                                                'useSubjectUser' => true
                                ],
                                'taskTypes' => [
                                                                
                                ]
                ],
                'unenrollFromAllAccessProfiles' => [
                                'catalogIds' => [
                                                                '<string>'
                                ],
                                'catalogIdsCel' => '<string>',
                                'useSubjectUser' => true,
                                'userIdsCel' => '<string>',
                                'userRefs' => [
                                                                [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ]
                ],
                'updateUser' => [
                                'useSubjectUser' => true,
                                'userIdCel' => '<string>',
                                'userRef' => [
                                                                'id' => '<string>'
                                ],
                                'userStatusCel' => '<string>'
                ],
                'waitForDuration' => [
                                'duration' => '<string>'
                ],
                'webhook' => [
                                'payload' => [
                                                                
                                ],
                                'webhookId' => '<string>',
                                'webhookIdCel' => '<string>'
                ]
        ]
    ],
    'circuitBreakerMax' => 123,
    'context' => [
        'context' => [
                
        ]
    ],
    'description' => '<string>',
    'displayName' => '<string>',
    'draftAutomationSteps' => [
        [
                'accountLifecycleAction' => [
                                'accountInContext' => [
                                                                
                                ],
                                'accountRef' => [
                                                                'accountIdCel' => '<string>'
                                ],
                                'actionName' => '<string>',
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ]
                ],
                'callFunction' => [
                                'args' => [
                                                                
                                ],
                                'functionId' => '<string>'
                ],
                'connectorAction' => [
                                'actionName' => '<string>',
                                'argsTemplate' => [
                                                                
                                ],
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ],
                                'resourceTypeId' => '<string>'
                ],
                'connectorCreateAccount' => [
                                'connectorRef' => [
                                                                'appId' => '<string>',
                                                                'id' => '<string>'
                                ],
                                'passwordCel' => '<string>',
                                'userIdCel' => '<string>',
                                'userProperties' => [
                                                                'displayNameCel' => '<string>',
                                                                'emailCel' => '<string>',
                                                                'profileAttributeCel' => '<string>',
                                                                'usernameCel' => '<string>'
                                ]
                ],
                'createAccessReview' => [
                                'accessReviewTemplateCel' => '<string>',
                                'accessReviewTemplateId' => '<string>',
                                'campaignName' => '<string>',
                                'useSubjectUser' => true,
                                'userIdsCel' => '<string>',
                                'userRefs' => [
                                                                [
                                                                                                                                'id' => '<string>'
                                                                ]
                                ]
                ],
                'createRevokeTasks' => [
                                'appEntitlementRefs' => [
                                                                [
                                                                                                                                'appId' => '<string>',
[...]
